Subject: [alpine-devel] [PATCH] Additional PERL Modules required by PSAD

From: IT Offshore <[email-masked]>
Date: Mon, 28 Oct 2013 04:27:05 +0000

Dependencies taken from ARCH:

https://aur.archlinux.org/packages/psad/

perl-bit-vector bumped to version 7.3

Initial APKBUILD files for:

perl-date-calc
perl-iptables-chainmgr
perl-iptables-parse
perl-storable
---
 testing/perl-bit-vector/APKBUILD        |  6 +++--
 testing/perl-date-calc/APKBUILD         | 41 +++++++++++++++++++++++++++++++++
 testing/perl-iptables-chainmgr/APKBUILD | 41 +++++++++++++++++++++++++++++++++
 testing/perl-iptables-parse/APKBUILD    | 41 +++++++++++++++++++++++++++++++++
 testing/perl-storable/APKBUILD          | 41 +++++++++++++++++++++++++++++++++
 5 files changed, 168 insertions(+), 2 deletions(-)
 create mode 100644 testing/perl-date-calc/APKBUILD
 create mode 100644 testing/perl-iptables-chainmgr/APKBUILD
 create mode 100644 testing/perl-iptables-parse/APKBUILD
 create mode 100644 testing/perl-storable/APKBUILD

diff --git a/testing/perl-bit-vector/APKBUILD b/testing/perl-bit-vector/APKBUILD
index 1dcbbb2..2cf4d0b 100644
--- a/testing/perl-bit-vector/APKBUILD
+++ b/testing/perl-bit-vector/APKBUILD
@@ -2,7 +2,7 @@
 # Maintainer:
 pkgname=perl-bit-vector
 _realname=Bit-Vector
-pkgver=7.2
+pkgver=7.3
 pkgrel=1
 pkgdesc="Efficient bit vector, set of integers, and big int math library"
 url="http://search.cpan.org/~stbey/Bit-Vector-7.1/"
@@ -28,4 +28,6 @@ package() {
 	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
 }
 
-md5sums="3b185cf5c89646c1b897b75a276c1468  Bit-Vector-7.2.tar.gz"
+md5sums="684e63a93db1e0eda25a103258b39725  Bit-Vector-7.3.tar.gz"
+sha256sums="5a76330bfb9b9083371484c960d01ac0ad0e129fe770bfb1e87a85384e088f3d  Bit-Vector-7.3.tar.gz"
+sha512sums="e6baa2385d366ee00449abe52c20c49dbd41d2396d7c8f0fd6222262b6c4399d75eb081f46c5d1e524d12dafe0e5e78249f273e7705d04bd03033703fd2e86c8  Bit-Vector-7.3.tar.gz"
diff --git a/testing/perl-date-calc/APKBUILD b/testing/perl-date-calc/APKBUILD
new file mode 100644
index 0000000..f4f85a5
--- /dev/null
+++ b/testing/perl-date-calc/APKBUILD
@@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: IT Offshore <[email-masked]>
+# Maintainer: IT Offshore <[email-masked]>
+pkgname=perl-date-calc
+_pkgreal=Date-Calc
+pkgver=6.3
+pkgrel=0
+pkgdesc="Gregorian calendar date calculations"
+url="http://search.cpan.org/dist/Date-Calc/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-bit-vector perl-carp-clan"
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/S/ST/STBEY/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="9b64555b7051c1beb6b61daead2d01b3  Date-Calc-6.3.tar.gz"
+sha256sums="3eb66188af89abc65b71e9852808d5d6b4bea7a606c55f2ae52c229bfc5bdb93  Date-Calc-6.3.tar.gz"
+sha512sums="74d755e07c2c1601b3f9ae630a60142367a8b6aa11223da57334b05b363fe636f2d77eeb5cce273122e1f090bc917c8b833370451a7a402637f29305523c2385  Date-Calc-6.3.tar.gz"
diff --git a/testing/perl-iptables-chainmgr/APKBUILD b/testing/perl-iptables-chainmgr/APKBUILD
new file mode 100644
index 0000000..d27c488
--- /dev/null
+++ b/testing/perl-iptables-chainmgr/APKBUILD
@@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: IT Offshore <[email-masked]>
+# Maintainer: IT Offshore <[email-masked]>
+pkgname=perl-iptables-chainmgr
+_pkgreal=IPTables-ChainMgr
+pkgver=1.2
+pkgrel=0
+pkgdesc="Perl extension for manipulating iptables and ip6tables policies"
+url="http://search.cpan.org/dist/IPTables-ChainMgr/"
+arch="noarch"
+license="artistic_1"
+cpandepends="perl-netaddr-ip perl-iptables-parse"
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/M/MR/MRASH/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="53ef679af19c8e0696178ff42e60eaa4  IPTables-ChainMgr-1.2.tar.gz"
+sha256sums="60818e10a8153d661caf9248237027007bc3d45c1836cff43e7bd5e0723060a5  IPTables-ChainMgr-1.2.tar.gz"
+sha512sums="1d8ff4f3db77dac8fa82a7e1a67a1d01dae1a8ea0847a43b14f8179cc1018b4109b5ed47700ece9739c8f5448dbbf4ea16094fac73638ff96327ac4014a25e27  IPTables-ChainMgr-1.2.tar.gz"
diff --git a/testing/perl-iptables-parse/APKBUILD b/testing/perl-iptables-parse/APKBUILD
new file mode 100644
index 0000000..e1d35af
--- /dev/null
+++ b/testing/perl-iptables-parse/APKBUILD
@@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: IT Offshore <[email-masked]>
+# Maintainer: IT Offshore <[email-masked]>
+pkgname=perl-iptables-parse
+_pkgreal=IPTables-Parse
+pkgver=1.1
+pkgrel=0
+pkgdesc="Perl extension for parsing iptables and ip6tables firewall rulesets"
+url="http://search.cpan.org/dist/IPTables-Parse/"
+arch="noarch"
+license="artistic_1"
+cpandepends=""
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/M/MR/MRASH/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="e258a32c73f99697a6f52276bda15878  IPTables-Parse-1.1.tar.gz"
+sha256sums="750ffb2edf09b7616cf5324fb5f770e8e2dafcdc779ea80eb7ff870cbf83adc3  IPTables-Parse-1.1.tar.gz"
+sha512sums="7ebd035cefd982317fe0d4876b928c2b425f7e45578ef4bf299314e735260aae7ca9377ffd48f3f6097a36ab4154a9c996383f57fc1cb80ca66fc3ebf5e07059  IPTables-Parse-1.1.tar.gz"
diff --git a/testing/perl-storable/APKBUILD b/testing/perl-storable/APKBUILD
new file mode 100644
index 0000000..f07a201
--- /dev/null
+++ b/testing/perl-storable/APKBUILD
@@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: IT Offshore <[email-masked]>
+# Maintainer: IT Offshore <[email-masked]>
+pkgname=perl-storable
+_pkgreal=Storable
+pkgver=2.45
+pkgrel=0
+pkgdesc="unknown"
+url="http://search.cpan.org/dist/Storable/"
+arch="all"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/A/AM/AMS/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="682dbbddf86bb30e455b24f569308195  Storable-2.45.tar.gz"
+sha256sums="d375dd53df154f060284bc6cb0a3e2807f091f6780c92a6b71e2c5cc0d4b1d56  Storable-2.45.tar.gz"
+sha512sums="d216590b1f49bcd39f561f4ee0dab8138b48e5d26cd1d76f5f909f80c923c0a36a1192afa461cb52355fb36691443f5c6e167cad379d321161c5390ac4fd4f1e  Storable-2.45.tar.gz"
-- 
1.8.2.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---